%define   module_name ipsec_tunnel

Name:		ipsecadm
Version:	0.9
Release:	alt8
License:	GPL
Summary:	%{module_name} kernel module administration tool
Summary(ru_RU.KOI8-R):     %{module_name}
Group:		System/Configuration/Networking
URL:		http://ringstrom.mine.nu/ipsec_tunnel/
Packager:	Denis Ovsienko <pilot@altlinux.ru>
Source0:	%{module_name}-%{version}.tar.gz
Source1:	%{module_name}.html
Source2:	ringstrom.css
Source3:	%{module_name}-README.ALT
Patch0:		%{name}-makefile-uglyhack.patch
BuildRequires:	kernel-headers

%description
%{module_name} provides support for IPSec IPv4 tunnels utilizing CryptoAPI.
The IPsec tunnel implementation is divided into two parts, one kernel
module called ipsec_tunnel.o, and a tool to administrate security
associations and tunnels, called ipsecadm. This package contains
ipsecadm, helper scripts and documentation.

%description -l ru_RU.KOI8-R
%{module_name}    IPSec,  CryptoAPI.
   IPSec    :  
ipsec_tunnel.o       ipsecadm.
   ipsecadm,    .

%prep
%setup -n %{module_name}-%{version}
%patch0 -p1

%build
echo KDIR := %_includedir/linux >> .config
echo CRYPTODIR := \${KDIR} >> .config
echo PREFIX := /usr >> .config
echo EXEC_PREFIX := \${PREFIX} >> .config
%make_build -C util/ipsecadm

%install
# original Makefile is useless here :(
%__install -D -m 750 util/ipsecadm/ipsecadm %{buildroot}%{_sbindir}/ipsecadm
%__install -D util/ipsecadm/ipsecadm.8 %{buildroot}%{_mandir}/man8/ipsecadm.8
%__cp %SOURCE1 .
%__cp %SOURCE2 .
%__cp %SOURCE3 README.ALT
%__mkdir_p %{buildroot}%{_sysconfdir}/ipsec
%__mkdir_p %{buildroot}%{_sysconfdir}/sysconfig/network-scripts

#%post
#if [ "$1" -eq 1 ]; then
#	/bin/echo -n Generating random keys...
#	pushd %{_sysconfdir}/ipsec >/dev/null
#	([ -e random-des.key ] || ipsecadm key create des --file=random-des.key) && \
#	([ -e random-3des.key ] || ipsecadm key create 3des --file=random-3des.key) && \
#	([ -e random-md5.key ] || ipsecadm key create md5 --file=random-md5.key) && \
#	([ -e random-sha1.key ] || ipsecadm key create sha1 --file=random-sha1.key)
#	[ $? -eq 0 ] && echo Ok
#	[ $? -ne 0 ] && echo Error!
#	popd >/dev/null
#	# we must exit happily, because one of above lines will set exit status to 1
#	exit 0
#fi

#%preun
#if [ "$1" -eq 0 ]; then
#	%__rm -f /etc/ipsec/random-des.key ||:
#	%__rm -f /etc/ipsec/random-3des.key ||:
#	%__rm -f /etc/ipsec/random-md5.key ||:
#	%__rm -f /etc/ipsec/random-sha1.key ||:
#fi

%files
%_sbindir/ipsecadm
%_mandir/man8/ipsecadm.*
%dir %attr(700,root,root) %_sysconfdir/ipsec
%doc INSTALL NEWS README
%doc doc/*
%doc %{module_name}.html ringstrom.css
%doc README.ALT

%changelog
* Thu Aug 11 2005 Denis Ovsienko <pilot@altlinux.ru> 0.9-alt8
- quick fix for #7578 (/dev usage during install)

* Sun Nov 14 2004 Denis Ovsienko <pilot@altlinux.ru> 0.9-alt7
- merged ipsecadm scripts into net-scripts

* Wed May 19 2004 Denis Ovsienko <pilot@altlinux.ru> 0.9-alt6
- implemented extra attributes: MTU, MULTICAST, ALLMULTI, PROMISC
- handle random keys better
- updated description

* Tue Mar 23 2004 Denis Ovsienko <pilot@altlinux.ru> 0.9-alt5
- moved example config to docdir and updated README.ALT accordingly
- spec cleanup

* Mon Mar 08 2004 Denis Ovsienko <pilot@altlinux.ru> 0.9-alt4
- ifup-ipsectun now supports digests
- more comments in example config file

* Sat Oct 11 2003 Denis Ovsienko <pilot@altlinux.ru> 0.9-alt3
- typos & net-scripts fixup (#3001)

* Sat Aug 30 2003 Denis Ovsienko <pilot@altlinux.ru> 0.9-alt2.1
- Fixed tunnel address error

* Sat Aug 30 2003 Denis Ovsienko <pilot@altlinux.ru> 0.9-alt2.0
- net-scripts addon to handle ipsectunX interfaces

* Thu Aug 28 2003 Denis Ovsienko <pilot@altlinux.ru> 0.9-alt1.0
- Almost initial build

